mgetty (1.2.1-1.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Install files into /usr instead of /. (Closes: #1059366)

 -- Chris Hofstaedtler <zeha@debian.org>  Sat, 23 Dec 2023 19:26:37 +0100

mgetty (1.2.1-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * 1.2.1-1 and 1.2.1-1.1 were native packages (despite the version).
    Turn into a non-native package again. Version 1.2.1-1 was actually
    built using the upstream git repository available at
    git://github.greenie.net/mgetty/,
    not using the archive available at
    ftp://mgetty.greenie.net/pub/mgetty/source/1.2/mgetty-1.2.1.tar.gz
    For consistency, mgetty_1.2.1.orig.tar.gz was built using the git
    repository (commit 9d47657). Closes: #953607
  * Switch from dpatch to 3.0 (quilt). Closes: #1005987

 -- Lucas Nussbaum <lucas@debian.org>  Thu, 14 Apr 2022 17:12:32 +0200

mgetty (1.2.1-1.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Sat, 02 Jan 2021 18:53:46 +0100

mgetty (1.2.1-1) unstable; urgency=medium

  * Bump upstream version to 1.2.1, amongst others:
    Harden faxq and faxrunq and others, fixes
    CVE-2018-16745, CVE-2018-16744, CVE-2018-16741, CVE-2018-16743, CVE-2018-16742.
    Closes: #910448

 -- Andreas Barth <aba@ayous.org>  Sat, 06 Oct 2018 22:17:07 +0200

mgetty (1.1.36-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add patch from Hilko Bengen to fix FTBFS with gcc 7.
    (Closes: #853548)

 -- Adrian Bunk <bunk@debian.org>  Sun, 17 Sep 2017 15:06:51 +0300

mgetty (1.1.36-3) unstable; urgency=medium

  * Add build-arch and build-indep targets in debian/rules. Closes: #822056
  * Replace the list of 64-bit architectures by __LP64__. Closes: #775518
    Thanks to James Cowgill for the fix.
  * Add debian/watch with signatures. Closes: #747491
    Thanks to David Gilman.
  * Add pt_BR translation. Closes: #795379
    Thanks to Eder L. Marques.

 -- Andreas Barth <aba@ayous.org>  Fri, 08 Jul 2016 14:45:43 +0200

mgetty (1.1.36-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add arm64 to the list of 64-bit architectures. Closes: #764924

 -- Peter Michael Green <plugwash@debian.org>  Sun, 12 Oct 2014 02:09:38 +0000

mgetty (1.1.36-2) unstable; urgency=medium

  * Don't ship folders within /var/run or /var/lock anymore. Closes: #689899
  * fix FTBFS with perl 5.18. Closes: #719501
  * faxspool: convert pdf file directly with ghostscript

 -- Andreas Barth <aba@ayous.org>  Wed, 15 Jan 2014 20:58:29 +0000

mgetty (1.1.36-1.6) unstable; urgency=low

  * Non-maintainer upload.
  * Bump debhelper compatibility to 7
  * As a consequence, replace "dh_clean -k" calls by "dh_prep"
  * Add ${misc:Depends} to packages dependencies to properly insert
    dependencies implied by the use of debhelper
  * Depend on "dpkg (>= 1.15.4) | install-info" for install-info
    transition
  * Remove empty mgetty-docs.{postinst|prerm} files
  * Fix pending l10n issues. Debconf translations:
    - Finnish (Esko Arajärvi).  Closes: #536518

 -- Christian Perrier <bubulle@debian.org>  Sat, 20 Mar 2010 17:22:11 +0100

mgetty (1.1.36-1.5) unstable; urgency=low

  * Non-maintainer upload.
  * Fix pending l10n issues. Debconf translations:
    - Russian. Closes: #494718
    - Spanish. Closes: #501805
    - Basque. Closes: #503226

 -- Christian Perrier <bubulle@debian.org>  Mon, 27 Oct 2008 06:15:19 +0100

mgetty (1.1.36-1.4) unstable; urgency=low

  * Non-maintainer upload.
  * Update debian/patches/78-insecure-tmp-usage to not create the spool
    directory already created by mktemp (Closes: #498705).

 -- Nico Golde <nion@debian.org>  Sat, 13 Sep 2008 16:33:39 +0200

mgetty (1.1.36-1.3) unstable; urgency=high

  * Non-maintainer upload by the Security Team.
  * Fix insecure use of temporary file names that could lead to a symlink
    attack.
    (debian/patches/78-insecure-tmp-usage; No CVE id yet; Closes: #496403)

 -- Nico Golde <nion@debian.org>  Fri, 05 Sep 2008 17:52:42 +0200

mgetty (1.1.36-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix bashism in debian/rules (Closes: #484406)
  * debian/control:
    - Bump Standards-Version to 3.8.0.
    - Use new upstream URL in Homepage field, remove old URL from long
      description.
    - Use ${binary:Version} relations instead of deprecated ${Source-Version}.
    - Replace numerous dependencies on gs-* with ghostscript.
    - Replace tetex-bin Build-Depends with texlive.
    - Remove xlibs-dev from Build-Depends.
  * Replace deprecated "user.group" usage of chown in mgetty-voice.postinst.

 -- Chris Lamb <chris@chris-lamb.co.uk>  Sat, 12 Jul 2008 01:12:21 +0100

mgetty (1.1.36-1.1) unstable; urgency=low

  * Non-maintainer upload to solve release goal.
  * Add LSB dependency header to init.d scripts (Closes: #464067).
  * Create /var/run/mgetty-fax and /var/lock/fax if necessary
    (Closes: #456986).  Patch from Scott James Remnant and Ubuntu.
  * Added debconf translation for Italian from Luca Monducci
    (Closes: #456553).
  * Add po-debconf as build-depend as suggested by lintian.

 -- Petter Reinholdtsen <pere@debian.org>  Fri, 28 Mar 2008 11:56:49 +0100

mgetty (1.1.36-1) unstable; urgency=low

  * New Upstream version, adjust patches (and patch 62 is upstream now).
  * Dropping woody compatibility hack for po-debconf, and run
    debconf-updatepo in clean. Thanks, Christian Perrier. Closes: #412350
  * Fix fax-by-lpr.txt - use /var/spool instead of /usr/spool.
    Closes: #432080
  * l10n:
    - Add gl. Thanks, Jacobo Tarrio. Closes: #412675
    - Fix filename of pt.

 -- Andreas Barth <aba@not.so.argh.org>  Mon, 13 Aug 2007 10:35:35 +0000

mgetty (1.1.35-3) unstable; urgency=low

  * remove /var/spool/fax on purge. Closes: #382777
  * remove the useless debian/mgetty-viewfax.postrm.
  * drop the old text about new security schema in Sarge. Closes: #388933
  * add l10n: nl, pt. Closes: #366718, #410127
  * replace dependency on mime-encodings by usage of perl. Thanks, Manoj
    for the suggestion. And perl is so common we can safely depend on.
    Closes: #376906, #309038

 -- Andreas Barth <aba@not.so.argh.org>  Sun, 18 Feb 2007 10:13:50 +0000

mgetty (1.1.35-2) unstable; urgency=low

  * fix faxrunq script. Closes: #363691
  * fix override disparity. Closes: #363026

 -- Andreas Barth <aba@not.so.argh.org>  Thu, 20 Apr 2006 23:44:40 +0200

mgetty (1.1.35-1) unstable; urgency=low

  * Catch up with upstream:
    - acct.log massively overhauled
    - first support for class 1 modems (not enabled however)
  * Clean out faxqueue on purge. Closes: #332496
  * more i18n: Vietnamese, Czech, Danish, Swedish.
    Closes: #312771, #311981, #319021, #334140, #335351
  * Disable messages in pvftowav. Closes: #344165
  * debhelper level 4.
  * Fix FTBFS on kFreeBSD. Closes: #347549

 -- Andreas Barth <aba@not.so.argh.org>  Sun, 16 Apr 2006 21:46:25 +0200

mgetty (1.1.33-3) unstable; urgency=low

  * depend on debconf | debconf-2.0

 -- Andreas Barth <aba@not.so.argh.org>  Sat, 13 Aug 2005 10:32:37 +0200

mgetty (1.1.33-2) unstable; urgency=medium

  * faxspool: -u is also honoured for lp and daemon. Closes: #307964
  * log the submitter to acct.log. Closes: #307969

 -- Andreas Barth <aba@not.so.argh.org>  Tue, 10 May 2005 20:28:24 +0000

mgetty (1.1.33-1) unstable; urgency=high

  * new upstream release
    + can send out multi-page faxes again.
    + detect the MT5634ZPX-PCI*-variants. Closes: #287289

 -- Andreas Barth <aba@not.so.argh.org>  Mon, 11 Apr 2005 09:20:30 +0000

mgetty (1.1.32-2) unstable; urgency=medium

  * debian's patches to faxrunqd can cope with "use strict"

 -- Andreas Barth <aba@not.so.argh.org>  Wed, 30 Mar 2005 20:23:15 +0200

mgetty (1.1.32-1) unstable; urgency=medium

  * new upstream release.
    + new version of faxview, fixes segfault. Closes: #245719
  * added Czech, Danish and Japanese translation.
    Closes: #258696, #261792, #269307.
  * fixed vgettys location in the man page. Closes: #290710

 -- Andreas Barth <aba@not.so.argh.org>  Wed, 23 Mar 2005 00:03:54 +0100

mgetty (1.1.31-1) unstable; urgency=low

  * new upstream release.
    + added sff2g3
    + moved some patches from debian to upstream
    + Add support for Lucent Venus v.90. Closes: #254404
  * typo in README.Debian. Closes: #256937
  * updated the french docu, added german. Closes: #247378
  * corrected comaintainers email
  * depend on libx11-dev instead of xlibs-dev

 -- Andreas Barth <aba@not.so.argh.org>  Sun, 25 Jul 2004 10:52:08 +0200

mgetty (1.1.30-10) unstable; urgency=low

  * adjusted so that updates from woody don't fall at the first try.
    Closes: #246328
  * french translation update. Closes: #246199

 -- Andreas Barth <aba@not.so.argh.org>  Wed, 28 Apr 2004 23:03:24 +0200

mgetty (1.1.30-9) unstable; urgency=low

  * use appropriate sigs in /etc/init.d; this could also mean a delay
    at shutdown of the system. Closes: #235196
  * Using gettext-based debconf templates in the woody-compatible way.
    Closes: #235813
  * provide man pages for vm and newslock (and move newslock to -fax).
    Closes: #200418
  * use dpatch instead of classic patch files
  * bump version to 3.6.1.0 (no changes needed)

 -- Andreas Barth <aba@not.so.argh.org>  Fri,  9 Apr 2004 20:28:26 +0200

mgetty (1.1.30-8) unstable; urgency=low

  * now users can have default coverpages and faxheaders
  * help is now available in viewfax. Closes: #228440

 -- Andreas Barth <aba@not.so.argh.org>  Fri, 23 Jan 2004 19:49:16 +0100

mgetty (1.1.30-7) unstable; urgency=low

  * make.coverpg is now in /etc. Closes: #28716
  * Enhanced and reworked the descriptions of all packages. Closes: #210021
  * Starting to use NEWS.Debian, and so upgraded debhelper to 4.1.51.
  * again moved patches from and to upstream; this is now almost 1.1.31.
  * build all with -g, as upstream does.
  * another fix for Lucent chipsets. Closes: #216573
  * mgetty.info is now in package mgetty.
  * removed debian/watch; we don't need it.
  * login.config, mgetty.config, dialin.config, faxheader, faxrunq.config,
    sendfax.config and voice.conf are not longer conffiles

 -- Andreas Barth <aba@not.so.argh.org>  Wed, 31 Dec 2003 22:33:44 +0100

mgetty (1.1.30-6) unstable; urgency=low

  * New maintainer team; we approve our own NMU of course.
  * packages mostly linda/lintian clean, except causes given in debian/TODO
  * updated to the most current upstream pre-version
  * moved patches from and to upstream; removed now included patches and
    one irrelevant one (suppression of action names in caller id strings)
  * added fix for voice on Zoom 2949C / 2949L. Closes: #209140, #210465
  * show also time at faxq. Closes: #209230
  * removed recommendation on metamail. Closes: #212346
  * fixed pid-file-path in mgetty-fax's init.d. Closes: #214479

 -- Andreas Barth <aba@not.so.argh.org>  Wed,  8 Oct 2003 20:01:01 +0200

mgetty (1.1.30-5.1) unstable; urgency=low

  * NMU under the "we want sarge RSN"-policy, see 
    http://lists.debian.org/debian-devel-announce/2003/debian-devel-announce-200308/msg00010.html
  * mgetty: removes old log rotation in /etc/cron.daily/mgetty in postinst
    (Closes: #202759)
  * mgetty-fax: fixed permissions problem the way upstream recommends
    (Closes: #201681)
  * FTBFS fix (Closes: #201675)
  * removed executable-bit from documentation
  * removed leftovers from patches.

 -- Andreas Barth <aba@not.so.argh.org>  Fri, 25 Jul 2003 10:35:34 +0200

mgetty (1.1.30-5) unstable; urgency=low

  * mgetty-fax: fix mgetty-fax.prerm to remove hidden files properly by testing for
    "remove" instead of "purge".
  * mgetty-fax: Reference faxrunq.config instead of faxrunqd.config in init script.
  * mgetty-fax: faxrunqd's now runs as uucp most of the time but regains
    and drops root priviledges as needed for logfile handling. Logfiles
    are owned by root.adm and created with 0640 permissions. (Closes: #201282)
  * mgetty-fax: Put faxrunqd's pidfile back into /var/run.
  * mgetty-fax: faxrunqd now accepts -D and -g correctly. (Closes: #200815)
  * mgetty-fax: faxrunqd accepts both ids and user-/groupnames as
    parameters to -u and -g. (Thanks to Andreas Barth <aba@not.so.argh.org>)
  * mgetty-fax: faxrunqd takes 7 logfiles into account when SIGUSR1 is
    caught (instead of 3).
  * mgetty-fax: faxrunqd does not display anything when SIGUSR2 (graceful
    exit) is caught. This happens when "/etc/init.d/mgetty-fax stop" is
    invoked.
  * mgetty-fax: remove "-e" from init script execution since it is useless
    and causes the configuration process to die when faxrunq.config is not
    configured.

 -- Wolfgang Sourdeau <was@debian.org>  Tue, 15 Jul 2003 16:10:15 -0400

mgetty (1.1.30-4) unstable; urgency=low

  * New patch to create correct info section information from doc/mgetty.texi.
  * Fix permissions for the new security scheme of mgetty-fax. Notify the
    administrator about those changes during postinst. (Closes: #195179)
  * Ensure correct permissions are set during execution of the postinst
    script of mgetty-voice since we messed them up with the last release.

 -- Wolfgang Sourdeau <was@debian.org>  Tue,  8 Jul 2003 01:31:00 -0400

mgetty (1.1.30-3) unstable; urgency=low

  * Override permissions of /usr/lib/mgetty-fax/faxq-helper, /var/lock/fax
    and /var/spool/fax/outgoing with dpkg-statoverride.
  * /etc/mgetty/faxrunqd_should_not_be_run renamed to
    faxrunqd_should_not_be_run to hide it. Removed during prerm phase of
    mgetty-fax.

 -- Wolfgang Sourdeau <was@debian.org>  Fri,  4 Jul 2003 11:34:15 -0400

mgetty (1.1.30-2) unstable; urgency=low

  * Fixed some package descriptions.
  * Install faxrunqd back into /usr/sbin/.
  * Documentation for /etc/issue updated. Thanks to Andreas Barth
    <aba@not.so.argh.org>. (Closes: #72269)
  * Adapted faxrunq.conf to give example paths more compliant with the FHS.
  * Remove useless warning from mgetty-fax.init.d. Make the start of
    faxrunqd an installation option with debconf. (Closes: #68714)
  * mgetty-fax now depends on debconf. Dependency on gs OR'd with
    gs-aladdin and gs-esp for completion.
  * Standards version set to 3.5.8 in debian/control.
  * Permissions of binaries and directories set with post-installation
    scripts instead of from debian/rules.
  * README.Debian more accurate regarding /etc/mgetty/new_fax. (Closes: #197966)
  * Obsolete bug reports. (Closes: #13540, #22156)
  * Useless bug report. (Closes: #191623)
  * Documentation fix. (Closes: #191525)
  * Do not provide cron scripts anymore. Depends on logrotate instead.
    (Closes: #127304)
  * Merge of debian/postinst with debian/mgetty.postinst.
  * Produce better tiff files. (Closes: #86917)
  * New security scheme. Old bug closed. Security enhancements correctly
    adapted to Debian. (Closes: #11478, #195179)

 -- Wolfgang Sourdeau <was@debian.org>  Tue,  1 Jul 2003 23:55:30 -0400

mgetty (1.1.30-1) unstable; urgency=low

  * New upstream release.
  * Close this. (Closes: #170304)
  * New modems: GVC MD 0340 and Multitech's MT5634ZBAV-V92. (Closes: #175498, #182923)

 -- Wolfgang Sourdeau <was@debian.org>  Mon, 28 Apr 2003 00:20:04 -0400

mgetty (1.1.28-5) unstable; urgency=low

  * mgetty-fax: stupid typo, be burning in hell! (Closes: #171251)

 -- Wolfgang Sourdeau <was@debian.org>  Sun,  1 Dec 2002 10:08:48 -0500

mgetty (1.1.28-4) unstable; urgency=low

  * This bug seems to have disappeared since 1.1.18. Reopen if needed
    (Closes: #32808)
  * mgetty-fax: erase /var/spool/fax/outgoing/.last_run when purging.
    (Closes: #94283)
  * No answer, seems to no more happen anyway. Reopen if needed
    (Closes: #105459)
  * Fix put in patch #12. Do not output anything when catching TERM or
    HUP. (Closes: #139907)
  * Patch #44: unclear char signedness fixed in faxinput.c.
    (Closes: #169455)
  * mgetty-fax: prerm/postrm running with '-e'.
  * Patch #45: removed references to deprecated variables sys_nerr and
    sys_errlist, using strerror instead.

 -- Wolfgang Sourdeau <was@debian.org>  Wed, 27 Nov 2002 19:13:52 -0500

mgetty (1.1.28-3) unstable; urgency=low

  * faxspool now accepts parameters with spaces. (Closes: 70081)
  * This does not seem to happen anymore. (Closes: #93762)
  * This bug does not occur anymore with recent versions of KDE.
  (Closes: #101750)
  * Recognize CallerID info from gsm modems. Thanks to Erwan MAS
    <erwan_AT_mas.nom.fr> for his patch. (Closes: #112163)
  * Fixes related to CallerID info handling. Thanks to Paul Miller
    <paul_AT_pinheiro.tcimet.net> for his patch. (Closes: #128668)
  * /bin/bash used to execute shell scripts. (Closes: #149851)
  * Support for another Zoom modem software revision. Thanks to Jim
    Winstead <jimw_AT_trainedmonkey.com> for his patch. (Closes: #156106)
  * Stop faxrunqd gracefully. (Closes: #156665)

 -- Wolfgang Sourdeau <was@debian.org>  Mon, 28 Oct 2002 01:11:56 -0500

mgetty (1.1.28-2) unstable; urgency=low

  * Slightly optimized debian/rules with make tricks.
  * mgetty-viewfax: viewfax.tif goes into /usr/share/doc/mgetty-viewfax/
    since it's part of the documentation.
  * mgetty-docs: both PS and HTML documentation is provided, texinfo is
    kept if people need it (Closes: #47086)
  * mgetty-fax: this feature has been supported in recent versions
    (Closes: #60866)
  * Viewfax's buffer run fixed in upstream 2.5 (Closes: #69971, #69974)
  * mgetty-fax: this bug should not occur with current Perl 5.6.1. Reopen
    if *really* needed (Closes: #77327)
  * mgetty-fax: mime info provided, optional handling of unconverted g3
    files provided in new_fax (Closes: #135277)
  * mgetty-fax: stupid typo fixed now (Closes: #152246)
  * mgetty: Respect Debian lock file standard naming
            convention. (Closes: #153394)

 -- Wolfgang Sourdeau <was@debian.org>  Sat,  3 Aug 2002 17:26:56 -0400

mgetty (1.1.28-1) unstable; urgency=low

  * New Upstream Release.
  * confirm bug close from NMU. (Closes: #140179)
  * Splitted the main patch and put the resulting patches in
    debian/patches for easier handling. The resulting diff should only
    contain the Debian subdirectory now. Added "patch" as a
    build-dependency.
  * mgetty-fax: logs go into /var/log/mgetty.
  * Depends on gs only (the gs-compatible packages should provide 'gs').
  * Do not depend on perl5 anymore. Do not depend on perl at all since
    perl-base should provide everything required.

 -- Wolfgang Sourdeau <was@debian.org>  Tue, 30 Jul 2002 04:23:29 -0400

mgetty (1.1.27-4.1) unstable; urgency=high

  * debian/rules:
    - Install login.config with mode 600 instead of 644 (Closes: #140179)

 -- Colin Walters <walters@debian.org>  Thu,  4 Apr 2002 23:18:06 -0500

mgetty (1.1.27-4) unstable; urgency=low

  * Fix spelling error in description for mgetty-docs. (Closes: #125130)
  * Fix implicit declarations during compilation. (Closes: #125385)
  * mgetty-pvftools: new package containing the pvftools stripped from the
    mgetty-voice package.
  * Put voice/ChangeLog into /usr/share/doc/mgetty/ChangeLog.voice.

 -- Wolfgang Sourdeau <was@debian.org>  Mon, 17 Dec 2001 22:03:32 -0500

mgetty (1.1.27-3) unstable; urgency=low

  * mgetty-voice: do not put value for voice_shell_log between quotes in
    /etc/mgetty/voice.conf (Closes: #120456)

 -- Wolfgang Sourdeau <was@debian.org>  Thu, 22 Nov 2001 22:07:15 -0500

mgetty (1.1.27-2) unstable; urgency=low

  * mgetty-fax: fixes a security hole in /etc/mgetty/new_fax and depends
    on debianutils (>= 1.6) for /bin/tempfile. (Closes: #111271)
  * Depends on either gs or gs-aladdin. (Closes: #93640)

 -- Wolfgang Sourdeau <was@debian.org>  Tue, 20 Nov 2001 06:01:17 -0500

mgetty (1.1.27-1) unstable; urgency=low

  * New Upstream Release.

 -- Wolfgang Sourdeau <was@debian.org>  Tue, 20 Nov 2001 05:24:31 -0500

mgetty (1.1.26-4) unstable; urgency=low

  * faxrunqd doesn't automatically start as a daemon. (Closes: #115187)
  * Bug fixed in NMU's (Closes: #36965, #56446, #70741, #46315, #50173,
    #67453, #87922, #94689, #41874)

 -- Wolfgang Sourdeau <was@debian.org>  Wed, 10 Oct 2001 23:43:23 -0400

mgetty (1.1.26-3) unstable; urgency=low

  * Don't exit with code != 0 if info documentation is not found.
    (Closes: 114942, 114612)

 -- Wolfgang Sourdeau <was@debian.org>  Wed, 10 Oct 2001 02:51:01 -0400

mgetty (1.1.26-2) unstable; urgency=low

  * New Maintainer.
  * Bug fix in the daily cronjob which could cause severe disk consumption
    under certain circumstances. (Closes: #75140, #74995)
  * 1.1.26 does build on ia64. (Closes: #104828, #105089)
  * Doc fix. (Closes: #46214, #47514)
  * Suggests gs but do not depend on it (Closes: #69340)
  * Obsolete bugs. (Closes: #54218, #88900, #36965, #56446, #111205,
    #81521, #111170, #38918, #47705, #27336)

 -- Wolfgang Sourdeau <was@debian.org>  Fri,  5 Oct 2001 03:48:39 -0400

mgetty (1.1.26-1.1) unstable; urgency=low

  * NMU.
  * Added build-dependency on xlibs-dev, groff. (Closes: #111205)
  * Removed "-g" from CFLAGS in g3/Makefile.
  * Put custom header files (policy.h, voice-defs.h) in debian/.
  * mgetty.info is now put in /usr/share/info instead of /usr/info/.
  * mgetty-docs.postrm to mgetty-docs.prerm (for uninstalling mgetty.info at
    the correct time).
  * /etc/mgetty/login.config chmod'd to 0644.
  * /var/spool/fax/outgoing, /var/lock/fax,
    /var/spool/voice/{incoming,messages} chmod'd to 2775.

 -- Wolfgang Sourdeau <was@debian.org>  Fri,  7 Sep 2001 04:44:53 -0400

mgetty (1.1.26-1) unstable; urgency=low

  * NMU.
  * Updated to version 1.1.26. (Closes: #41874, #46315, #50173, #67453, #69971, #69974, #81521, #87922, #94689)
  * Missing manpages are marked as undocumented (debian/rules).
  * .o files from the viewfax contributed package are not installed anymore.
  * Removed references to dh_suidregister (debian/rules).
  * mgetty.asc and mgetty.ms are not generated since texi2roff is not
    packaged for Debian.
  * added dependencies on debhelper, texi2html, texinfo, tetex-bin.
  * removed "-g" from CFLAGS in certain Makefiles.

 -- Wolfgang Sourdeau <was@debian.org>  Sun,  2 Sep 2001 19:30:53 -0400

mgetty (1.1.21-3.1) unstable; urgency=low

  * Non-maintainer upload.
  * Changed chown invocation in debian/rules to fix build.
  * Rebuilt on and for upload to sid. (Closes: #80640)

 -- Robert McQueen <robot101@debian.org>  Thu, 25 Jan 2001 22:48:15 +0000

mgetty (1.1.21-3potato1) stable; urgency=high

  * SECURITY: fix for insecure tempfile handling
  * disables fall-back delivery to /tmp

 -- Michael Stone <mstone@debian.org>  Mon,  8 Jan 2001 23:03:10 -0500

mgetty (1.1.21-3) stable; urgency=low

  * make mgetty-fax's postinst create /var/spool/fax/outgoing/.last_run
    to close a potential symlink exploit by members of the fax group
    that is otherwise possible until that file is created

 -- Philip Hands <phil@hands.com>  Thu, 31 Aug 2000 19:05:13 +0100

mgetty (1.1.21-2.1) frozen unstable; urgency=medium

  * Fixes new_fax file issue (Closes: #56446)
  * NMU

 -- Ivan E. Moore II <rkrusty@debian.org>  Mon, 14 Feb 2000 12:15:10 -0700

mgetty (1.1.21-2) unstable; urgency=medium

  * add test in prerm to work round old prerm problem (really closes: 47439)

 -- Philip Hands <phil@hands.com>  Mon,  1 Nov 1999 12:14:10 +0000

mgetty (1.1.21-1.1) unstable; urgency=low

  * Non-maintainer upload
  * Add --oknodo to init.d script so we don't fail miserably during
    package removal. Closes: 47439

 -- Wichert Akkerman <wakkerma@debian.org>  Sat, 30 Oct 1999 20:25:22 +0200

mgetty (1.1.21-1) unstable; urgency=low

  * New upstream release (closes: #41871, #41873, #41872)
  * make cron.daily's execution conditional (closes: #34034)
  * eliminate globbing in debhelper calls (closes: #32028)
  * use new_fax.mime4 as the default new_fax (closes: #35984, #32545, #29117)
  * move /usr/lib/mgetty+sendfax to /usr/lib/mgetty-fax
  * document faxrunqd's options (closes: #31524)
  * move fax receipt bits into mgetty (closes: #32020)
  * add -D (daemon mode) option to faxrunqd
  * move to using /usr/share/... for docs.

 -- Philip Hands <phil@hands.com>  Sun, 26 Sep 1999 17:59:25 +0100

mgetty (1.1.20-1) unstable; urgency=low

  * New upstream release
  * move most of mgetty-docs to /usr/doc/mgetty

 -- Philip Hands <phil@hands.com>  Sat,  3 Apr 1999 20:53:24 +0100

mgetty (1.1.18-2) unstable; urgency=low

  * add /var/spool/fax/incoming directory to mgetty-fax
    (closes: #25466, #24973)
  * use giftopnm in faxspool (closes: #22135)
  * add mgetty-fax dependency for ``gs'' (closes: #27336)
  * include docs from voice section in mgetty-docs (closes: #27718)

 -- Philip Hands <phil@hands.com>  Thu, 19 Nov 1998 14:48:15 +0000

mgetty (1.1.18-1) unstable; urgency=low

  * New upstream release

 -- Philip Hands <phil@hands.com>  Mon, 28 Sep 1998 19:41:00 +0100

mgetty (1.1.17-1) unstable; urgency=low

  * New upstream release
  * add mgetty-docs.post{inst,rm} to call install-info (closes: #22448)
  * fix /FIDO/ entry in login.config to work with ifcico (closes: #24550)
  * enable dialin.conf Caller ID (closes: #23652)

 -- Philip Hands <phil@hands.com>  Wed, 26 Aug 1998 18:17:31 +0100

mgetty (1.1.16-1) unstable; urgency=low

  * New upstream release

 -- Philip Hands <phil@hands.com>  Tue,  4 Aug 1998 10:44:33 +0100

mgetty (1.1.14-4) unstable; urgency=low

  * Fix several documentation/script mistakes pointed out by The Man
    Himself -- Gert Doering.
 
 -- Philip Hands <phil@hands.com>  Fri, 19 Jun 1998 22:48:48 +0100

mgetty (1.1.14-3) unstable; urgency=low

  * fix debian/rules so the it does not refer to arch indep stuff in the
    arch dep section (closes: #22800, #22539)
  * fix g32pbm reference in new_fax (closes: #22615)
  * recompile after installing makeinfo (closes: #22448)

 -- Philip Hands <phil@hands.com>  Fri, 15 May 1998 01:14:41 +0100

mgetty (1.1.14-2) frozen unstable; urgency=low

  * fix faxspool locking problem (# 9273)

 -- Philip Hands <phil@hands.com>  Fri, 15 May 1998 01:14:41 +0100

mgetty (1.1.14-1) frozen unstable; urgency=low

  * New upstream release
  * Add CONFDIR= bit to make install in debian/rules (closes: #20922)
  * move over to debhelper
  * stop postinst editing /etc/crontab & /etc/inittab (closes: #20651)
  * include magic files in /usr/doc/ (closes: #13183)
  * build mgetty-docs in binary-indep (closes: #16693)
  * fix FIDO line in /etc/mgetty/login.config (closes: #21031)

 -- Philip Hands <phil@hands.com>  Fri,  3 Apr 1998 10:27:11 +0100

mgetty (1.1.12-1) unstable; urgency=low

  * New upstream release
  * recompiling seems to have fixed the sendfax segfault problem.
    (closes: #17825, #18209, #16684)
  * split viewfax out into mgetty-viewfax (closes: #18194)
  * exclude .bz2 files from savelog in cron.daily (closes: #16463)

 -- Philip Hands <phil@hands.com>  Fri,  6 Feb 1998 09:45:05 +0000

mgetty (1.1.9-3) unstable; urgency=low

  * ensure HAVE_SIGINTERRUPT gets defined for glibc2, which should stop
    lockups apparently caused by changes to signal()'s behaviour.

 -- Philip Hands <phil@hands.com>  Sat, 29 Nov 1997 14:30:41 +0000

mgetty (1.1.9-2) unstable; urgency=low

  * Include man1/mgetty-fax.1 in mgetty-fax (was in mgetty-voice briefly)
  * get rid of viewfax stuff mistakenly included in mgetty-docs (fixes: #11475)
  * make faxrunqd a conffile (fixes #11476)
  * fix paths in faxrunqd (fixes: #11477,#12057)
  
 -- Philip Hands <phil@hands.com>  Wed, 26 Nov 1997 23:44:57 +0000

mgetty (1.1.9-1) unstable; urgency=low

  * New upstream release
  * add cron scripts to conffiles (#7384)
  * fix permissions on some doc files (#11285)
  * fix permissions for /var/spool/fax/outgoing/locks (#11466)

 -- Philip Hands <phil@hands.com>  Mon,  3 Nov 1997 18:02:06 +0000

mgetty (1.1.8-1) stable; urgency=medium

  * New maintainer
  * New upstream release (fixes ``become root'' security bug in scripts)
  * #11488 Fix bug in /etc/cron.daily/mgetty (postinst tidies up after this)
  * compiled with libc5 (so it can go into bo)

 -- Philip Hands <phil@hands.com>  Thu, 31 Jul 1997 11:42:21 +0100

mgetty (1.1.7-3) unstable; urgency=low

  * fixed it.  :)  recompiled with libc6

 -- Paul Haggart <phaggart@debian.org>  Sat, 21 Jun 1997 19:58:16 -0400

mgetty (1.1.7-2) unstable; urgency=low

  * forced into libc5 until I get around to fixing it
  * fax.1 manpage renamed to mgetty-fax.1
  * policy.h: init string changed to "AT" 

 -- Paul Haggart <phaggart@debian.org>  Thu, 12 Jun 1997 15:10:05 -0400

mgetty (1.1.7-1) unstable; urgency=low

  * new maintainer
  * new upstream release
  * mgetty-voice added
  * policy.h, voice/include/paths.h: all log files generated by {m,v}getty 
    are now located in /var/log/mgetty/*
  * policy.h: logging to syslog enabled
  * policy.h: mgetty uses /usr/sbin/sendmail instead of /usr/lib

 -- Paul Haggart <phaggart@debian.org>  Mon,  9 Jun 1997 18:22:44 -0400

mgetty (1.1.2-1) unstable; urgency=low

  * New upstream release
  * Upgraded from debmake 2.72 to debmake 3.2.1
  * Closed bug reports filed against an older mgetty that have already
    been fixed:
    * #7426 (/var/log/mgetty)
    * #7497 (permissions)
    * #7724 (permissions)
      (fixed permissions on /etc/mgetty/login.config, also mentioned
      in this one)
    * #7745 (permissions)
  * Now only suggests (instead of reccommends) mgetty-fax; closes
    bug #7700 
  * Closed bug #7498.  I agree with the upstream author that a modification
    to PATH is good, but I have changed it to insert the extra directory
    *after* the user's PATH variable instead of before it.

 -- John Goerzen <jgoerzen@complete.org>  Sun, 2 Mar 1997 17:03:06 -0600

mgetty (1.1.1-1) unstable; urgency=low

  * New upstream release
  * Bug against previous releases of mgetty closed:
    #7213
  * Fixed permissions on /var/spool/fax/outgoing/locks (fixing bug #7231)
    and /var/spool/fax/outgoing
  * Daily cron scripts now listed as conffiles (fixes bug #7384)

 -- John Goerzen <jgoerzen@complete.org>  Fri, 14 Feb 1997 21:20:03 -0600

mgetty (1.1.0-2) unstable; urgency=low

  * Added info to README.debian explicitly spelling out how to disable
    EMSI.
  * Added symlinks from /usr/doc/mgetty-docs and /usr/doc/mgetty-fax to
    the mgetty directory, fixing bugs #6305, #6363
  * Bug #6662 has already been fixed in version 0.99.8-2; now closing it.
  * Bug #6112 closed: maintainer cannot duplicate it and the submittor
    hasn't responded to request for more information.  If the submittor
    (or anyone else) can duplicate it, please send another report to
    submit@bugs.debian.org and open a new report.
  * Changed FAXREC_FLOW from FLOW_SOFT to FLOW_BOTH
  * Changed FAXSEND_FLOW from FLOW_SOFT to FLOW_BOTH
  * Now compiled by default to **NOT** switch port speed on FAX receive.
    Added documentation to README.debian explaining how to set it up
    to revert to the old default behavior.
  * Bug #6873 closed -- /var/log/mgetty *does* exist and maintainer
    cannot duplicate the problem.  Submittor of the bug did not elaborate
    on problem upon request.  Bug will be re-openened if submittor will
    provide contact me.
  * Bug #6897 closed -- apparently the problem is the cable and/or
    the Mac.

 -- John Goerzen <jgoerzen@complete.org>  Wed, 29 Jan 1997 22:36:51 -0600

mgetty (1.1.0-1) unstable; urgency=low

  * Some fixes to the source package; fixes bug #6817
  * New upstream release

 -- John Goerzen <jgoerzen@complete.org>  Fri, 24 Jan 1997 01:17:30 -0600

mgetty (1.0.0-3) stable unstable; urgency=low

  * Updated the copyright file to reflect the latest copyright/license
  * Upon feedback from previous maintainer <clameter@debian.org>, reverted
    to previous directory scheme even though ``dpkg-source -x'' cannot (yet)
    properly unpack it.  (This particular change has no effect on users
    using only the binary package.)
    [there are some directories created beneath the debian directory
     in the source package]

 -- John Goerzen <jgoerzen@complete.org>  Sat, 18 Jan 1997 00:35:50 -0600

mgetty (1.0.0-2) stable unstable; urgency=low

  * New maintainer: John Goerzen <jgoerzen@complete.org>
  * Now makes a valid source-package -- no extra directories created
    Also hacked to work with debstd
  * Minor modifications to various files in debian directory

 -- John Goerzen <jgoerzen@complete.org>  Fri, 17 Jan 1997 04:04:20 -0600

mgetty (1.0.0-1) stable unstable; urgency=low

  * New upstream non-beta release. Voice Part removed since considered unstable

 -- Christoph Lameter <clameter@debian.org>  Mon, 13 Jan 1997 21:08:12 -0800

mgetty (0.99.9-2) unstable; urgency=low

  * mgetty-fax: rotate sendfax.log weekly.

 -- Christoph Lameter <clameter@debian.org>  Fri, 10 Jan 1997 08:39:00 -0800

mgetty (0.99.9-1) unstable; urgency=low

  * /etc/mgetty/new_fax supplied instead of it being a symlink
  * allow installation of pbm supplements again since names do not conflict
    anymore with netbpm.
  * New upstream release

 -- Christoph Lameter <clameter@debian.org>  Sun, 5 Jan 1997 20:35:21 -0800

mgetty (0.99.8-2) unstable; urgency=low

  * /etc/mgetty/new_fax made a conffile
  * debian/watch file supplied

 -- Christoph Lameter <clameter@debian.org>  Wed, 25 Dec 1996 14:13:19 -0800

mgetty (0.99.8-1) stable unstable; urgency=low

  * Upstream update

 -- Christoph Lameter <clameter@debian.org>  Tue, 24 Dec 1996 19:34:34 -0800

mgetty (0.99.7-1) stable unstable; urgency=low

  * Changelog renamed to changelog.upstream
  * Upstream update. Newest Standards.
  * mgetty-fax: depend on netpbm
  * mgetty-fax: do not install /usr/bin/g3topbm and pbmtog3
  * mgetty-fax: remove diversions that made g3topbm/pbmtog3 unusable if
    netpbm not installed.

 -- Christoph Lameter <clameter@debian.org>  Thu, 19 Dec 1996 13:24:08 -0800

mgetty (0.99.6-1) unstable; urgency=low

  * New upstream release. Note that mgetty contains FIDO dialin support since
    0.99.3-2

 -- Christoph Lameter <clameter@debian.org>  Sat, 7 Dec 1996 11:09:09 -0800

mgetty (0.99.4-1) unstable; urgency=low

  * New upstream release

 -- Christoph Lameter <clameter@debian.org>  Tue, 19 Nov 1996 19:07:01 -0800

mgetty (0.99.3-2) unstable; urgency=low

  * FIDO support enabled. New directive in mgetty.config (patch from Author)
    which controls the sending of the EMSI string. On by default.
    Switch it off if you get into problems with ppp connections and have
    users complain about strange things on the screen.
  * policy.h was doubled in last release ??

 -- Christoph Lameter <clameter@debian.org>  Fri, 8 Nov 1996 10:19:06 -0800

mgetty (0.99.3-1) unstable; urgency=low

  * allow mgetty-fax to depend on X libraries.
  * upstream update

 -- Christoph Lameter <clameter@debian.org>  Thu, 7 Nov 1996 12:13:38 -0800

mgetty (0.99.2-7) unstable; urgency=low

  * Split up package in mgetty, mgetty-fax, mgetty-voice, mgetty-docs
  * /FIDO/ enabled in login.config but still compiled without FIDO support
    enabled since it generates weird characters on login.

 -- Christoph Lameter <clameter@debian.org>  Wed, 6 Nov 1996 21:46:34 -0800

mgetty (0.99.2-6) unstable; urgency=low

  * viewfax included in distribution
  * depend on cron

 -- Christoph Lameter <clameter@debian.org>  Thu, 31 Oct 1996 08:21:19 -0800

mgetty (0.99.2-5) unstable; urgency=low

  * bug in postrm script

 -- Christoph Lameter <clameter@debian.org>  Wed, 30 Oct 1996 17:48:35 -0800

mgetty (0.99.2-4) unstable; urgency=low

  * stripped newslock
  * guina pig for debmake 1.03

 -- Christoph Lameter <clameter@debian.org>  Sat, 26 Oct 1996 19:12:22 -0700

mgetty (0.99.2-3) unstable; urgency=low

  * postinst wrote some stuff to output that it should not have

 -- Christoph Lameter <clameter@debian.org>  Fri, 25 Oct 1996 09:11:26 -0700

mgetty (0.99.2-2) unstable; urgency=low

  * debmake 0.91 gets rid of most scripts

 -- Christoph Lameter <clameter@debian.org>  Tue, 22 Oct 1996 17:09:28 -0700

mgetty (0.99.2-1) unstable; urgency=low

  * New upstream release
  * include frontends section in /usr/doc/mgetty
  * include callback binary + manpage
  * Fixed the echo command problems

 -- Christoph Lameter <clameter@debian.org>  Sat, 19 Oct 1996 14:26:16 -0800

mgetty (0.99-12) unstable; urgency=low

  * debmake bug: scripts not included in -11

 -- Christoph Lameter <clameter@debian.org>  Thu, 17 Oct 1996 06:54:41 -0800

mgetty (0.99-11) unstable; urgency=low

  * Added g3tolj and g3toxwd to distribution
  * switched to using debmake for generating the package so I dont forget
    or mess up permissions in the future.
  * Script to implement log rotation had wrong name and wrong permissions.

 -- Christoph Lameter <clameter@debian.org>  Sat, 12 Oct 1996 21:30:15 -0800

mgetty (0.99-10) unstable; urgency=low

  * Added log rotation
  * Added changelog.Debian in /usr/doc/mgetty

 -- Christoph Lameter <clameter@debian.org>  Sat, 12 Oct 1996 09:00:00 -0800

mgetty (0.99-9) unstable; urgency=low

  * bug in postinst: wrong location of inittab.DEBIAN

 -- Christoph Lameter <clameter@debian.org>  Mon, 7 Oct 1996 09:00:00 -0800

mgetty (0.99-8) unstable; urgency=low

  * /etc/mgetty/login.config: Disabled /FIDO/ line. Provided a sane pppd    
    invocation line.
  * script in /etc/mgetty/new_fax moved to /usr/lib/mgetty+sendfax since
    dpkg does not seem to allow executable scripts in /etc.
    /etc/mgetty/new_fax made a symlink to /usr/lib/mgetty+sendfax/new_fax.
    Change the symlink to a modified script if you need to.
  * Documentation in README.debian updated.

 -- Christoph Lameter <clameter@debian.org>  Sat, 5 Oct 1996 09:00:00 -0800

mgetty (0.99-7) unstable; urgency=low

  * updated Documentation
  * Made new_fax executable
  * Removed the /etc/init.d/fax stuff again since running a perl
    binary all the time is not very resource friendly. Plus the
    stopping of that daemon did not work.
  * Automatically add an entry to crontab to run faxrunq every half hour.

 -- Christoph Lameter <clameter@debian.org>  Thu, 3 Oct 1996 09:00:00 -0800

mgetty (0.99-6) unstable; urgency=low

  * Fax is created with group fax instead of uucp
  * Diversions added for g3topbm and pbmtog3 for the netpbm package
  * /etc/init.d/fax script provided for fax queue runs. postinst, postrm
    modified accordingly
  * New upstream 0.99 beta release from September 15, 1996 from ftp.leo.org
  * Installation adds examples to /etc/inittab and also a new documentation
    file inittab.DEBIAN is included. The mgetty section in /etc/inittab
    will be removed on purging the packet.

 -- Christoph Lameter <clameter@debian.org>  Tue, 24 Sep 1996 09:00:00 -0800

mgetty (0.99-5) unstable; urgency=low

  * info files, manpages and big doc files gzipped
  * Added voice.conf file and a lot of information that was missing
    regarding using mgetty as an answering machine etc. Someone please
    test the voice part since I dont use that part of mgetty.
  * Moved faxrunq* to /usr/sbin

 -- Christoph Lameter <clameter@waterf.org>  Fri, 20 Sep 1996 09:00:00 -0800

mgetty (0.99-4) unstable; urgency=low

  * Added Doc on how to do dialup from win95 with mgetty/ppp
  * New upstream 0.99 beta release from August 07.

 -- Christoph Lameter <clameter@waterf.org>  Sat, 7 Sep 1996 09:00:00 -0800

mgetty (0.99-3) unstable; urgency=high

  * Updated to new standards 2.1.0.0 (big change, please test everything!)
  * Removes /var/log/mgetty on deinstallation
  * Fixes permission issue
  * Available Documentation in /usr/doc/mgetty included
  * Available Samples in /usr/doc/examples/mgetty included
  * new_fax script automatically preconfigured
  * README.debian included with known problems
  * Sane Makefile behaviour
  * faxheader and new_fax moved to /etc/mgetty as they are config files

Thy Jul  25 Christoph Lameter <clameter@waterf.org>

	* upgrade to 0.99 version of July 23, 1996
	* some locations / names of files in voice section
	were changed and resultet in minor changes to installation procedure

Fri Nov  3 21:53:03 1995  Nils Rennebarth  <nils@nus.pan-net.de>

	* Created a new package


